Bug 1387605 - (CVE-2016-8612) CVE-2016-8612 JBCS mod_cluster: Protocol parsing logic error
CVE-2016-8612 JBCS mod_cluster: Protocol parsing logic error
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20161215,reported=2...
: Security
Depends On: 1387613 1387623 1387624
Blocks: 1387606 1395463
  Show dependency treegraph
 
Reported: 2016-10-21 07:14 EDT by Andrej Nemec
Modified: 2018-05-23 18:09 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An error was found in protocol parsing logic of mod_cluster load balancer Apache HTTP Server modules. An attacker could use this flaw to cause a Segmentation Fault in the serving httpd process.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2957 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP 2.4.23 Release 2016-12-15 22:11:19 EST
Red Hat Product Errata RHSA-2017:0193 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 Release on RHEL 6 2017-01-25 20:05:09 EST
Red Hat Product Errata RHSA-2017:0194 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 Release on RHEL 7 2017-01-25 20:04:50 EST

  None (edit)
Description Andrej Nemec 2016-10-21 07:14:29 EDT
There is an error in protocol parsing logic of mod_cluster load balancer Apache HTTP Server modules that allows attacker to cause a Segmentation Fault in the serving httpd process. The vector is mod_cluster service messages that are used by worker nodes to communicate their status, load and deployed applications to the mod_cluster balancer. With proper production configuration, the VirtualHost accepting these messages is accessible only from an internal network where worker nodes reside. The error cannot be exploited from the Internet by arbitrary clients.

Upstream bug:

https://issues.jboss.org/browse/JBCS-193
Comment 9 errata-xmlrpc 2016-12-15 17:12:39 EST
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html
Comment 10 errata-xmlrpc 2017-01-25 15:06:46 EST
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:0194 https://access.redhat.com/errata/RHSA-2017:0194
Comment 11 errata-xmlrpc 2017-01-25 15:08:06 EST
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:0193 https://access.redhat.com/errata/RHSA-2017:0193

Note You need to log in before you can comment on or make changes to this bug.